commit 28658d57e1dcb7b87330e62a55810517d1ca91b5
Author: freddy77 <freddy77>
Date:   Tue Jul 6 09:23:43 2010 +0000

    update export symbols

diff --git a/ChangeLog b/ChangeLog
index a334bb5..046f1e0 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,8 @@
+Tue Jul  6 11:23:28 CEST 2010    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/odbc/checkexport.sh vms/odbc_driver_axp.opt:
+	* win32/FreeTDS.def:
+	- update export symbols
+
 Mon Jul  5 22:49:34 CEST 2010    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/odbc/odbc_util.c: improve conversion if wide enabled
 
@@ -2645,4 +2650,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog-0.82 added because of release
 	
 $FreeTDS$
-$Id: ChangeLog,v 1.3063 2010/07/05 20:49:47 freddy77 Exp $
+$Id: ChangeLog,v 1.3064 2010/07/06 09:23:43 freddy77 Exp $
diff --git a/src/odbc/checkexport.sh b/src/odbc/checkexport.sh
index 142cd4e..5b0884a 100755
--- a/src/odbc/checkexport.sh
+++ b/src/odbc/checkexport.sh
@@ -1,10 +1,13 @@
 #!/bin/sh
+
+EXP="nm .libs/libtdsodbc.so | grep ' T ' | sed 's,.* T ,,g'"
+
 echo Function not exported by VMS driver
-(nm .libs/libtdsodbc.so | grep ' T ' | sed 's,.* T ,,g' | grep '^\(SQL\|ODBC\)'; cat ../../vms/odbc_driver_axp.opt | grep -v '^!' | grep 'SQL' | sed 's,.*SQL\(.*\)=PROCEDURE.*,SQL\1,g') | sort | uniq -u | grep -v ODBCINSTGetProperties
+(eval "$EXP" | grep '^\(SQL\|ODBC\)'; cat ../../vms/odbc_driver_axp.opt | grep -v '^!' | grep 'SQL' | sed 's,.*SQL\(.*\)=PROCEDURE.*,SQL\1,g') | sort | uniq -u | grep -v ODBCINSTGetProperties
 
 echo Function not exported by windows driver
-(nm .libs/libtdsodbc.so | grep ' T ' | sed 's,.* T ,,g' | grep '^\(SQL\|ODBC\)'; cat ../../win32/FreeTDS.def | grep -v '^;' | grep 'SQL' | sed 's,.*SQL,SQL,g' | perl -pe 's,\r,,g') | sort | uniq -u | grep -v ODBCINSTGetProperties
+(eval "$EXP" | grep '^\(SQL\|ODBC\)'; cat ../../win32/FreeTDS.def | grep -v '^;' | grep 'SQL' | sed 's,.*SQL,SQL,g' | perl -pe 's,\r,,g') | sort | uniq -u | grep -v ODBCINSTGetProperties
 
 echo Function not declared as implemented
-(nm .libs/libtdsodbc.so | grep ' T ' | sed 's,.* T ,,g' | grep '^SQL' | perl -pe 'tr/a-z/A-Z/'; cat odbc.c | grep 'X(SQL_API_' | sed 's,.*SQL_API_SQL,SQL,g; s,).*,,g' | sort | uniq) | sort | uniq -u
-(nm .libs/libtdsodbc.so | grep ' T ' | sed 's,.* T ,,g' | grep '^SQL' | perl -pe 'tr/a-z/A-Z/'; cat odbc.c | grep '_(SQL_API_' | sed 's,.*SQL_API_SQL,SQL,g; s,).*,,g' | sort | uniq) | sort | uniq -d
+(eval "$EXP" | grep '^SQL' | grep -v '[a-z]W$' | perl -pe 'tr/a-z/A-Z/'; cat odbc.c | grep 'X(SQL_API_' | sed 's,.*SQL_API_SQL,SQL,g; s,).*,,g' | sort | uniq) | sort | uniq -u
+(eval "$EXP" | grep '^SQL' | grep -v '[a-z]W$' | perl -pe 'tr/a-z/A-Z/'; cat odbc.c | grep '_(SQL_API_' | sed 's,.*SQL_API_SQL,SQL,g; s,).*,,g' | sort | uniq) | sort | uniq -d
diff --git a/vms/odbc_driver_axp.opt b/vms/odbc_driver_axp.opt
index 4a933b6..9b144b9 100644
--- a/vms/odbc_driver_axp.opt
+++ b/vms/odbc_driver_axp.opt
@@ -89,7 +89,36 @@ SYMBOL_VECTOR = (SQLAllocConnect=PROCEDURE,-
 		SQLStatistics=PROCEDURE,-
 		SQLTablePrivileges=PROCEDURE,-
 		SQLTables=PROCEDURE,-
-		SQLTransact=PROCEDURE)
+		SQLTransact=PROCEDURE,-
+		SQLColAttributeW=PROCEDURE,-
+		SQLColumnPrivilegesW=PROCEDURE,-
+		SQLColumnsW=PROCEDURE,-
+		SQLConnectW=PROCEDURE,-
+		SQLDescribeColW=PROCEDURE,-
+		SQLDriverConnectW=PROCEDURE,-
+		SQLErrorW=PROCEDURE,-
+		SQLExecDirectW=PROCEDURE,-
+		SQLForeignKeysW=PROCEDURE,-
+		SQLGetConnectAttrW=PROCEDURE,-
+		SQLGetCursorNameW=PROCEDURE,-
+		SQLGetDescFieldW=PROCEDURE,-
+		SQLGetDescRecW=PROCEDURE,-
+		SQLGetDiagFieldW=PROCEDURE,-
+		SQLGetDiagRecW=PROCEDURE,-
+		SQLGetInfoW=PROCEDURE,-
+		SQLNativeSqlW=PROCEDURE,-
+		SQLPrepareW=PROCEDURE,-
+		SQLPrimaryKeysW=PROCEDURE,-
+		SQLProcedureColumnsW=PROCEDURE,-
+		SQLProceduresW=PROCEDURE,-
+		SQLSetConnectAttrW=PROCEDURE,-
+		SQLSetCursorNameW=PROCEDURE,-
+		SQLSetDescFieldW=PROCEDURE,-
+		SQLSpecialColumnsW=PROCEDURE,-
+		SQLStatisticsW=PROCEDURE,-
+		SQLTablePrivilegesW=PROCEDURE,-
+		SQLTablesW=PROCEDURE)
+)
 !
 !		SQLBrowseConnect=PROCEDURE,-
 !		SQLDescribeParam=PROCEDURE,-
diff --git a/win32/FreeTDS.def b/win32/FreeTDS.def
index 11b898f..3b7e3cd 100644
--- a/win32/FreeTDS.def
+++ b/win32/FreeTDS.def
@@ -78,3 +78,32 @@ EXPORTS
 	ConfigTranslator
 	DllRegisterServer
 	DllUnregisterServer
+	SQLColAttributeW
+	SQLColumnPrivilegesW
+	SQLColumnsW
+	SQLConnectW
+	SQLDescribeColW
+	SQLDriverConnectW
+	SQLErrorW
+	SQLExecDirectW
+	SQLForeignKeysW
+	SQLGetConnectAttrW
+	SQLGetCursorNameW
+	SQLGetDescFieldW
+	SQLGetDescRecW
+	SQLGetDiagFieldW
+	SQLGetDiagRecW
+	SQLGetInfoW
+	SQLNativeSqlW
+	SQLPrepareW
+	SQLPrimaryKeysW
+	SQLProcedureColumnsW
+	SQLProceduresW
+	SQLSetConnectAttrW
+	SQLSetCursorNameW
+	SQLSetDescFieldW
+	SQLSpecialColumnsW
+	SQLStatisticsW
+	SQLTablePrivilegesW
+	SQLTablesW
+

